Subject: bug#31758: 26.1; Emacs crashes trying to display CROSS MARK

From: Robert Pluim <[email-masked]>
Date: Fri, 08 Jun 2018 18:17:58 +0200

close 31758
unarchive 30874
unarchive 30045
unarchive 31547
forcemerge 30874 30045 31547 31758
quit

Alex Branham <[email-masked]> writes:

> On Fri 08 Jun 2018 at 10:36, Robert Pluim <[email-masked]> wrote:
>
>> Alex Branham <[email-masked]> writes:
>>
>>> From emacs -Q:
>>>
>>> C-x 8 RET CROSS MARK RET
>>>
>>> crashes Emacs every time. Emacs also crashes when trying to display
>>> CROSS MARK anywhere (mu4e uses this when mu4e-use-fancy-chars is
>>> non-nil).
>>>
>>> Let me know what other information I can provide
>>>
>>
>> My crystal ball says that 'XFT_DEBUG=16 emacs' will say something
>> about loading an emoji font just before it crashes. I think youʼre the
>> third this week.
>>
>> Is it possible for you to try the latest version of the emacs-26
>> branch? This should be fixed there.
>
> Very nice crystal ball. The problem does indeed seem to be fixed on
> emacs-26. Do you happen to know what commit(s) fix the issue? I'd like
> to ask my distro to backport those commits until 26.2 gets released.

These 3 should do it:

* acaebed014 - (HEAD -> emacs-26) ; * src/ftfont.c (ftfont_spec_pattern): Fix whitespace. <Eli Zaretskii>
* 97d61f878e - Port FC_COLOR change to older fontconfig <Paul Eggert>
* f21fa142ac - Ignore color fonts when using Xft <Robert Pluim>

Closing the bug report, thanks for testing.

Regards